## mxfdemux mxfdemux |

## Properties

gchar * | package | Read / Write
guint64 | max-drift | Read / Write
GstStructure * | structure | Read

## Types and Values

struct | GstMXFDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMXFDemux

## Description

mxfdemux demuxes an MXF file into the different contained streams.

#### Example launch line

    1
    gst-launch-1.0 -v filesrc location=/path/to/mxf ! mxfdemux ! audioconvert ! autoaudiosink

This pipeline demuxes an MXF file and outputs one of the contained raw audio streams.

## Synopsis

### Element Information

plugin | mxf
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | application/mxf

name | track_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstMXFDemux

    struct GstMXFDemux;

## Property Details

### The `“package”` property

      “package”                  gchar *

Material or Source package to use for playback.

Flags: Read / Write

Default value: NULL

### The `“max-drift”` property

      “max-drift”                guint64

Maximum number of nanoseconds by which tracks can differ.

Flags: Read / Write

Allowed values: >= 100000000

Default value: 500000000

### The `“structure”` property

      “structure”                GstStructure *

Structural metadata of the MXF file.

Flags: Read